petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscFree3

Frees 3 chunks of memory obtained with PetscMalloc3()

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFree3(void *memory1,void *memory2,void *memory3)

Not Collective

### Input Parameter

| memory1 | - memory to free
| memory2 | - 2nd memory to free
| memory3 | - 3rd memory to free

Notes: Memory must have been obtained with PetscMalloc3()

### See Also

PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree(), PetscMalloc3()

Level:developer
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/extchem.c.html